// See http://brunch.io for documentation.
module.exports = {
  paths: {
    public: 'dist',
    watched: ['src'],
  },
  conventions: {
    ignored: ['docs'],
  },
  sourceMaps: true,
  bower: {
    enabled: false,
  },
  npm: {
    enabled: false,
  },
  files: {
    javascripts: {
      joinTo: {
        'create-es6.js': [
          /^src/,
          (path) => {
            return !path.includes('/docs');
          },
        ],
      },
      entryPoints: {
        'src/index.js': 'create-es6-js',
      },
    },
  },
  plugins: {
    eslint: {
      pattern: /^src\/.*\.js?$/,
      warnOnly: true,
      config: {
        rules: {
          'array-callback-return': 'warn'
        }
      }
    },
    babel: {
      presets: ['es2015'],
    },
    uglify: {
      mangle: true,
      minimize: true,
      sourceMap: true,
      compress: {
        warnings: false,
        screw_ie8: true,
        conditionals: true,
        unused: true,
        comparisons: true,
        sequences: true,
        dead_code: true,
        evaluate: true,
        if_return: true,
        join_vars: true,
        global_defs: {
          DEBUG: false,
        }
      },
      output: {
        comments: false,
      },
    },
    order: [
      'eslint-brunch',
      'babel-brunch',
      'uglify-js-brunch',
    ],
  },
  modules: {
    wrapper: (path, data) => {
      return `
require.define({'${path}': function(exports, require, module) {
  ${data}
}});\n\n
    `
    },
  },
};
